# Class: Haml::StringSplitter::SyntaxChecker

Inherits:
  Ripper
  - Object
  - Ripper
  - Haml::StringSplitter::SyntaxChecker
  show all

Defined in:
  lib/haml/string_splitter.rb

## Defined Under Namespace

Classes: ParseError

## Class Method Summary collapse

- .syntax_error?(code) ⇒ Boolean

## Class Method Details

### .syntax_error?(code) ⇒ `Boolean`

Returns:

- (`Boolean`)

    116
    117
    118
    119
    120
    121

    # File 'lib/haml/string_splitter.rb', line 116

    def self.syntax_error?(code)
      self.new(code).parse
      false
    rescue ParseError
      true
    end